4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.SortElement

xsl:sort implementation Copyright 2005 Fourthought, Inc. (USA). Detailed license and copyright information: http://4suite.org/COPYRIGHT Project home, documentation, distributions: http://4suite.org/

Classes: Descending, SortElement |  |  |  | Functions: FloatCompare, LowerFirstCompare, UpperFirstCompare |  |  |  | Fields: EMPTY_NAMESPACE

## Classes

class Descending

### Methods

__call__(self, a, b)
__init__(self, comparer)

class SortElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

evaluate(self, context)
getComparer(self, context)
makeComparer(self, order, data_type, case_order)
setup(self)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime

### Fields

category = None
content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
doesSetup = 1
legalAttrs = {'case-order': <Ft.Xml.Xslt.AttributeInfo.ChoiceAvt instance>, 'data-type': <Ft.Xml.Xslt.AttributeInfo.ChoiceAvt instance>, 'lang': <Ft.Xml.Xslt.AttributeInfo.NMTokenAvt instance>, 'order': <Ft.Xml.Xslt.AttributeInfo.ChoiceAvt instance>, 'select': <Ft.Xml.Xslt.AttributeInfo.StringExpression instance>}

### Fields

## Functions

FloatCompare(a, b)
LowerFirstCompare(a, b)
UpperFirstCompare(a, b)

## Fields

EMPTY_NAMESPACE = None